<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__csdadc__data__structures" kind="group">
    <compoundname>group_csdadc_data_structures</compoundname>
    <title>Data Structures</title>
    <innerclass prot="public" refid="structcy__stc__csdadc__ch__pin__t">cy_stc_csdadc_ch_pin_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__csdadc__config__t">cy_stc_csdadc_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__csdadc__result__t">cy_stc_csdadc_result_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__csdadc__context__t">cy_stc_csdadc_context_t</innerclass>
      <sectiondef kind="typedef">
      <memberdef id="group__group__csdadc__data__structures_1gae57e5fc50d39777f67c3cb8d9c176315" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_csdadc_callback_t) (void *ptrCxt)</definition>
        <argsstring>)(void *ptrCxt)</argsstring>
        <name>cy_csdadc_callback_t</name>
        <briefdescription>
<para>Provides the typedef for the callback function that is intended to be called when the "End Of Conversion" cycle callback event occurs. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" bodystart="923" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdadc/cy_csdadc.h" line="923" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Describes the data structures defined by the CSDADC. </para>    </briefdescription>
    <detaileddescription>
<para>The CSDADC MW use structures for the input channel pins, conversion results, MW configuration and context. The pin structure is included into the configuration structure and both can be defined by the user with the CSD personality in Device Configurator or manually if the user does not use ModusToolbox. The result structure is included into the context structure and contains voltages and ADC codes for all 32 input channels of more recent conversions. Besides the result structure, the context structure contains a copy of the configuration structure, the current CSDADC MW state data and calibration data. The context structure is allocated by the user and passed to all CSDADC MW functions. The CSDADC MW structure sizes are shown in the table below:</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Structure&lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Size in bytes (w/o padding) &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;&lt;a href="structcy__stc__csdadc__ch__pin__t.html#"&gt;cy_stc_csdadc_ch_pin_t&lt;/a&gt; &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;5  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;&lt;a href="structcy__stc__csdadc__config__t.html#"&gt;cy_stc_csdadc_config_t&lt;/a&gt; &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;157  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;&lt;a href="structcy__stc__csdadc__result__t.html#"&gt;cy_stc_csdadc_result_t&lt;/a&gt; &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;4  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;&lt;a href="structcy__stc__csdadc__context__t.html#"&gt;cy_stc_csdadc_context_t&lt;/a&gt; &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;322  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>    </detaileddescription>
  </compounddef>
</doxygen>